> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete AI content by batchId

> Delete all AI content by batchId



## OpenAPI

````yaml https://api.gleap.io/api-docs.json delete /aicontent/batch/{batchId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /aicontent/batch/{batchId}:
    delete:
      tags:
        - AI content
      summary: Delete AI content by batchId
      description: Delete all AI content by batchId
      operationId: RemoveByBatchId
      parameters:
        - in: path
          name: batchId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  deleted: {}
                  success:
                    type: boolean
                required:
                  - deleted
                  - success
                type: object
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````